com.trilead.ssh2.packets

## Class PacketChannelOpenFailure

- java.lang.Object
- - com.trilead.ssh2.packets.PacketChannelOpenFailure

    public class PacketChannelOpenFailure
    extends java.lang.Object

PacketChannelOpenFailure.

### Field Summary

Fields
`java.lang.String` `description`
`java.lang.String` `languageTag`
`int` `reasonCode`
`int` `recipientChannelID`

### Constructor Summary

Constructors
Constructor and Description
`PacketChannelOpenFailure(byte[] payload, int off, int len)`
`PacketChannelOpenFailure(int recipientChannelID, int reasonCode, java.lang.String description, java.lang.String languageTag)`

### Method Summary

Methods
`byte[]` `getPayload()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### recipientChannelID

    public int recipientChannelID

#### reasonCode

    public int reasonCode

#### description

    public java.lang.String description

#### languageTag

    public java.lang.String languageTag

### Constructor Detail

#### PacketChannelOpenFailure

    public PacketChannelOpenFailure(int recipientChannelID,
                            int reasonCode,
                            java.lang.String description,
                            java.lang.String languageTag)

#### PacketChannelOpenFailure

    public PacketChannelOpenFailure(byte[] payload,
                            int off,
                            int len)
                             throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### getPayload

    public byte[] getPayload()